## id-broker-plugin 1.6.13

=== debian/changelog ===
id-broker-plugin (1.6.13) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 10:51:35 +0200

id-broker-plugin (1.6.12) unstable; urgency=medium

  * fix: use appcenter to restart kelvin
    Issue univention/dev/education/ucsschool-kelvin-rest-api#127

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 01 Sep 2025 13:49:08 +0200

id-broker-plugin (1.6.11) unstable; urgency=medium

  * tests: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 29 Jul 2025 17:01:13 +0200

id-broker-plugin (1.6.10) unstable; urgency=medium

  * tests: add missing python3-tenacity dependency

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 25 Jul 2025 23:27:29 +0200

id-broker-plugin (1.6.9) unstable; urgency=medium

  * chore: ucs 5.2 doesn't have a python symlink by default
    Issue: univention/dev/education/id-broker/keycloak-id-broker#7

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 02 Jul 2025 09:43:28 +0200

id-broker-plugin (1.6.8) unstable; urgency=medium

  * tests: Alternative playwright test dependency for ucs 5.2
    Issue: univention/dev/education/id-broker/keycloak-id-broker#7

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 01 Jul 2025 09:36:58 +0200

id-broker-plugin (1.6.7) unstable; urgency=low

  * feat: enable evaluation of environment variables for HTTP proxies
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#130
    Bug #58401

 -- Sönke Schwardt-Krummrich <schwardt@univention.de>  Wed, 25 Jun 2025 14:11:54 +0200

id-broker-plugin (1.6.6) unstable; urgency=medium

  * tests: fix broken tests
    Issue: univention/dev/education/id-broker/keycloak-id-broker#1

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 23 Apr 2025 11:00:21 +0200

id-broker-plugin (1.6.5) unstable; urgency=medium

  * add: script to create ID Broker clients in Keycloak
    Issue: univention/id-broker/keycloak#3

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 05 Feb 2025 10:55:36 +0100

id-broker-plugin (1.6.4) unstable; urgency=medium

  * univention/components/ucsschool-api-plugins/id-broker-plugin#124
    Add leeway to token validity check

 -- Ole Schwiegert <schwiegert@univention.de>  Tue, 04 Feb 2025 09:37:00 +0100

id-broker-plugin (1.6.3) unstable; urgency=medium

  * univention/components/ucsschool-api-plugins/id-broker-plugin#123
    Pin pyjwt version to 2.8.0

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 20 Nov 2024 13:57:37 +0100

id-broker-plugin (1.6.2) unstable; urgency=medium

  * univention/dev-issues/dev-incidents#77
    Added: The verify.py script can now fix broken ID Broker objects.

 -- Ole Schwiegert <schwiegert@univention.de>  Fri, 15 Nov 2024 15:43:43 +0100

id-broker-plugin (1.6.1) unstable; urgency=medium

  * univention/dev-issues/dev-incidents#66
    Handle sync conflicts

 -- Jürn Brodersen <brodersen@univention.de>  Tue, 27 Aug 2024 14:29:17 +0200

id-broker-plugin (1.5.0) unstable; urgency=medium

  * univention/dev-issues/dev-incidents#37
    Add flag to rerun addservice command

 -- Ole Schwiegert <schwiegert@univention.de>  Mon, 24 Jun 2024 15:58:00 +0200

id-broker-plugin (1.4.1) unstable; urgency=medium

  * Issue univention/components/ucsschool-id-connector#52
    Support ucsschool-id-connector 3

 -- Jürn Brodersen <brodersen@univention.de>  Mon, 10 Jun 2024 23:40:55 +0200

id-broker-plugin (1.3.18) unstable; urgency=medium

  * Issue #109: print output

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 04 Mar 2024 21:53:45 +0100

id-broker-plugin (1.3.17) unstable; urgency=medium

  * Issue #109: improve test stability

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 04 Mar 2024 15:45:26 +0100

id-broker-plugin (1.3.16) unstable; urgency=medium

  * Issue #109: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 01 Mar 2024 14:44:52 +0100

id-broker-plugin (1.3.15) unstable; urgency=medium

  * Issue #109: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 19:49:52 +0100

id-broker-plugin (1.3.14) unstable; urgency=medium

  * Issue #111: Add support for wild cards in school list

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 17:42:47 +0100

id-broker-plugin (1.3.13) unstable; urgency=medium

  * Issue #117: add host to token cache key

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 12:33:54 +0100

id-broker-plugin (1.3.12) unstable; urgency=medium

  * Issue #109: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 29 Feb 2024 10:25:20 +0100

id-broker-plugin (1.3.11) unstable; urgency=medium

  * Issue #117: fix tests

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 28 Feb 2024 21:44:18 +0100

id-broker-plugin (1.3.10) unstable; urgency=medium

  * Issue #117: fix cache for tokens in client and tests

 -- Tobias Wenzel <wenzel@univention.de>  Tue, 27 Feb 2024 14:33:17 +0100

id-broker-plugin (1.3.9) unstable; urgency=medium

  * Issue #117: improve tests

 -- Tobias Wenzel <wenzel@univention.de>  Tue, 27 Feb 2024 11:07:03 +0100

id-broker-plugin (1.3.8) unstable; urgency=medium

  * Issue #117: multiple config tests

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 26 Feb 2024 15:32:06 +0100

id-broker-plugin (1.3.7) unstable; urgency=medium

  * Issue #109: fix fixture in integration tests

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 26 Feb 2024 10:13:09 +0100

id-broker-plugin (1.3.6) unstable; urgency=medium

  * Issue #109: stabilize setup integration tests

 -- Tobias Wenzel <wenzel@univention.de>  Mon, 26 Feb 2024 08:37:39 +0100

id-broker-plugin (1.3.5) unstable; urgency=medium

  * Issue #109: Fix and stabilize plugin and tests

 -- Jürn Brodersen <brodersen@univention.de>  Fri, 23 Feb 2024 18:19:01 +0100

id-broker-plugin (1.3.4) unstable; urgency=medium

  * Issue #109: Fix and stabilize plugin and tests



## id-broker-plugin 1.6.14

=== debian/changelog ===
id-broker-plugin (1.6.14) unstable; urgency=medium

  * fix: Remove "profile" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 22 Oct 2025 12:52:40 +0200

## id-broker-plugin 2.2.0

=== performance-tests/requirements.txt ===
Faker>=13.0.0
PyJWT>=2.1.0
diskcache==5.4.0
gevent==21.12.0
locust==2.8.4
pydantic==1.9.0
Authlib==1.0.0
tenacity>=8.2.2

=== debian/changelog ===
id-broker-plugin (2.2.0) unstable; urgency=medium

  * feat: Add Legal Guardian support for ID-Broker plugin and provisioning API
    client
    Issue: univention/dev/education/ucsschool-api-plugins/id-broker-plugin#132

 -- Johannes Königer <koeniger@univention.de>  Tue, 23 Sep 2025 16:00:02 +0200

id-broker-plugin (2.1.0) unstable; urgency=medium

  * feat: Add Legal Guardian support to Provisioning API
    Issue: univention/dev/education/ucsschool-api-plugins/id-broker-plugin#133

 -- Silas Wieberneit <silas.wieberneit.extern@univention.de>  Tue, 23 Sep 2025 14:59:02 +0200

id-broker-plugin (2.0.0) unstable; urgency=medium

  * chore: increase version so the build system can work with 5.0 and 5.2
    Issue: univention/dev/education/ucsschool-api-plugins/id-broker-plugin#135

 -- Jürn Brodersen <brodersen@univention.de>  Wed, 03 Sep 2025 16:33:14 +0200

=== debian/control ===
Source: id-broker-plugin
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends: debhelper (>= 9),
 ca-certificates,
 wget,
 debhelper-compat (= 12),
 dh-exec,
 dh-python,
 ucslint,
Standards-Version: 3.8.2

Package: id-broker-joinscript-lib
Architecture: all
Depends: ${misc:Depends}
Replaces: id-broker-common (<< 1.2.1)
Breaks: id-broker-common (<< 1.2.1)
Description: This package contains join script shell code used by the other id-broker-* packages.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-common
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 id-broker-joinscript-lib (= ${source:Version}),
Description: This package contains code used by the other id-broker-* packages.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-test-id-broker-common
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-common (= ${source:Version}),
 ucs-test-ucsschool,
 chromium,
 python3-playwright-venv | python3-pytest-playwright,
 python3-tenacity,
Provides:
 ucs-test-module,
Description: This package contains tests for the id-broker-common package.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-ldap-schema
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-joinscript-lib (= ${source:Version}),
Description: This package provides LDAP schema, LDAP ACLs and extended attributes for the ID Broker domain.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-primary
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-ldap-schema (= ${source:Version}),
 id-broker-joinscript-lib (= ${source:Version}),
Description: This package provides the Provisioning API plugin for the Univention UCS@school APIs app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-provisioning-api-plugin
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-common (= ${source:Version}),
 id-broker-joinscript-lib (= ${source:Version}),
 id-broker-ldap-schema (= ${source:Version}),
Description: This package provides the Provisioning API plugin for the Univention UCS@school APIs app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-self-disclosure-api-plugin
Architecture: all
Depends:
 ${misc:Depends},
 id-broker-common (= ${source:Version}),
 id-broker-joinscript-lib (= ${source:Version}),
 id-broker-ldap-schema (= ${source:Version}),
Description: This package provides the Self-Disclosure API plugin for the Univention UCS@school APIs app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-id-connector-plugin
Architecture: all
Depends:
 ${misc:Depends},
 jq,
Description: This package provides the ID Connector plugin for the UCS@school ID Connector app.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: id-broker-performance-tests
Architecture: all
Depends:
 ${misc:Depends},
 python3-venv,
Description: This package provides Locust files and data for running performance tests.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

Package: ucs-test-id-broker-performance
Architecture: all
Depends:
 python3-pytest,
 python3-tenacity,
 id-broker-performance-tests (= ${source:Version}),
 ucs-test-framework (>= 9.0.7-59),
 ${misc:Depends},
Provides:
 ucs-test-module,
Description: Ucs-test modules that execute the Locust files from package id-broker-performance-tests.
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: http://www.univention.de/

## id-broker-plugin 2.2.1

=== debian/changelog ===
id-broker-plugin (2.2.1) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 10:51:35 +0200

## id-broker-plugin 2.2.4

=== debian/changelog ===
id-broker-plugin (2.2.4) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 23 Oct 2025 10:51:35 +0200

## id-broker-plugin 2.3.0

=== performance-tests/requirements.txt ===
Faker>=13.0.0
PyJWT>=2.1.0
diskcache>=5.4.0
gevent>=21.12.0
locust>=2.8.4
pydantic==1.9.0
Authlib>=1.0.0
tenacity>=8.2.2

=== debian/changelog ===
id-broker-plugin (2.3.0) unstable; urgency=medium

  * feat: Add Add Legal Guardian support for self disclosure API
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#134

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 11:16:01 +0200

id-broker-plugin (2.2.3) unstable; urgency=medium

  * fix: Remove "email" scope from idbroker client in the school authority
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#128

 -- Jürn Brodersen <brodersen@univention.de>  Thu, 16 Oct 2025 10:51:35 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright 2021-2023 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

export LC_ALL=C.UTF-8

%:
	dh $@ --with python3

override_dh_auto_test:
	ucslint
	dh_auto_test

override_dh_auto_build:
	wget -c https://repo1.maven.org/maven2/org/openapitools/openapi-generator-cli/5.4.0/openapi-generator-cli-5.4.0.jar
	py3clean .
	dh_auto_build

override_dh_auto_clean:
	dh_auto_clean
	rm -f openapi-generator-cli-5.4.0.jar
	find -name __pycache__ -exec rm -rf '{}' +
	find -name '*.egg-info' -exec rm -rf '{}' +

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism --exclude=openapi-generator-cli-5.4.0.jar

## id-broker-plugin 2.3.1

=== debian/changelog ===
id-broker-plugin (2.3.1) unstable; urgency=medium

  * fix(self-disclosure-api): Add fallback value for legal_guardians attribute
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#138

 -- Johannes Königer <koeniger@univention.de>  Wed, 19 Nov 2025 13:56:01 +0200

## id-broker-plugin 2.3.2

=== debian/changelog ===
id-broker-plugin (2.3.2) unstable; urgency=medium

  * test(id-connector): Fix test user creation (IDBrokerUserObject)
    Issue univention/dev/education/ucsschool-api-plugins/id-broker-plugin#140

 -- Johannes Königer <koeniger@univention.de>  Wed, 28 Nov 2025 07:31:01 +0200
